html,
.wp-block-group:not(.has-background),
.has-ccgb-white-background-color
{
    --bg-color: var(--wp--preset--color--ccgb-white);
    --text-color: var(--wp--preset--color--ccgb-dark);
    --button-color: var(--wp--preset--color--ccgb-primary) !important;
    --button-text-color: var(--wp--preset--color--ccgb-white);
    --semi-transparent: #00002610;
    --border-color: var(--wp--preset--color--ccgb-primary);
    --placeholder-color: var(--wp--preset--color--ccgb-medium);
    --form-button-color: var(--wp--preset--color--ccgb-primary);
}

.has-ccgb-primary-background-color,
.has-ccgb-green-background-color
{
    --bg-color: var(--wp--preset--color--ccgb-primary);
    --text-color: var(--wp--preset--color--ccgb-white);
    --button-color: var(--wp--preset--color--ccgb-white) !important;
    --button-text-color: var(--wp--preset--color--ccgb-primary);
    --semi-transparent: #00002610;
    --border-color: var(--wp--preset--color--ccgb-white);
    --placeholder-color: var(--wp--preset--color--ccgb-dark);
    --form-button-color: var(--wp--preset--color--ccgb-white);
}

.has-ccgb-secundairy-background-color,
.has-ccgb-red-background-color
{
    --bg-color: var(--wp--preset--color--ccgb-secundairy);
    --text-color: var(--wp--preset--color--ccgb-white);
    --button-color: var(--wp--preset--color--ccgb-white) !important;
    --button-text-color: var(--wp--preset--color--ccgb-secundairy);
    --semi-transparent: #00002610;
    --border-color: var(--wp--preset--color--ccgb-white);
    --placeholder-color: var(--wp--preset--color--ccgb-dark);
    --form-button-color: var(--wp--preset--color--ccgb-white);
}

.has-ccgb-tertiaire-background-color,
.has-ccgb-blue-background-color
{
    --bg-color: var(--wp--preset--color--ccgb-tertiaire);
    --text-color: var(--wp--preset--color--ccgb-white);
    --button-color: var(--wp--preset--color--ccgb-white) !important;
    --button-text-color: var(--wp--preset--color--ccgb-tertiaire);
    --semi-transparent: #00002610;
    --border-color: var(--wp--preset--color--ccgb-white);
    --placeholder-color: var(--wp--preset--color--ccgb-dark);
    --form-button-color: var(--wp--preset--color--ccgb-white);
}